For the complete documentation index, see llms.txt. This page is also available as Markdown.

Get a summary of documentation issues found on a site

Returns aggregate statistics about the documentation issues GitBook identified on a site. Accepts the same filters as listSiteFindings. Use this to answer "how healthy are my docs" before drilling into individual findings.

Available in MCP
get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
organizationIdstringRequired

A unique entity identifier

Pattern: ^[a-zA-Z0-9_-]+$
siteIdstringRequired

The unique id of the site

Query parameters
topicstringOptional

Filter findings by associated site topic ID.

statusstring · enumOptional

Status of a site finding.

  • candidate is a finding that has been raised but not yet confirmed. Typically these are not shown to users.
  • open is a finding that has been surfaced to users and is still under investigation.
  • done is a finding that has been resolved and is no longer under investigation.
  • canceled is a finding that has been canceled and is no longer under investigation.
Possible values:
severitystring · enumOptional

Estimated end-user severity of a site finding.

Possible values:
hasChangeRequestsbooleanOptional

Filter findings that have at least one associated change request.

Responses
200

OK

application/json

Aggregated stats for the findings identified on a site.

totalnumberRequired

Total count of findings included in the aggregation.

questionsnumberRequired

Count of findings with at least one piece of evidence coming from a site question.

mergedChangeRequestsnumberRequired

Count of change requests created to fix a finding that have been merged.

get/orgs/{organizationId}/sites/{siteId}/stats/findings
GET /v1/orgs/{organizationId}/sites/{siteId}/stats/findings HTTP/1.1
Host: api.gitbook.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
200

OK

{
  "total": 1,
  "statuses": {
    "open": 1,
    "done": 1,
    "canceled": 1
  },
  "severities": {
    "low": 1,
    "medium": 1,
    "high": 1
  },
  "connectors": {
    "ANY_ADDITIONAL_PROPERTY": 1
  },
  "brokenLinks": {
    "redirectSuggested": 1,
    "noMatchingPage": 1
  },
  "questions": 1,
  "mergedChangeRequests": 1
}

Last updated

Was this helpful?